dmraid (1.0.0.rc16-9) unstable; urgency=medium

  * Remove libselinux1-dev build dependency (closes: #929484).
  * Package is Linux specific (closes: #638259).
  * Switch to '3.0 (quilt)' packaging format.
  * Update watch file.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.6.0 .
  * Sync with Ubuntu.

  [ Steve Langasek <steve.langasek@ubuntu.com> ]
  * Remove modprobe dm-raid45 from dmraid-activate.
  * debian/dmraid-activate: Remove the special-casing of the root
    device which breaks in many situations and leaves the raw devices
    exposed.
  * Do not assemble Intel Rapid (Matrix) Storage, if mdmon (mdadm) is
    present and not disabled.
  * debian/dmraid.udev: Removed |change udev rule for dmraid-activate
    to prevent infinite udev event loop.
  * Drop force loading dm-raid45 module in the initramfs hook
    (closes: 745697).
  * Fix initramfs hook to copy correct udev rules file with new priority of
    97 instead of 85
  * Drop debian/patches/04_do_not_use_p_for_partition.patch, bringing our
    device naming into line with upstream.
  * Add 21_fix_testing.patch
  * Fix once again the jmicron naming bug, upstream fix does not work
  * Add 23_pdc_dump_extended_metadata.patch
  * Add 24_drop_p_for_partition_conditional.patch
  * Add 25_change-uuid.patch
  * 27_ignore-too-small-devices.patch: ignore devices with less than 8
    sectors.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 08 Nov 2021 16:35:48 +0100

dmraid (1.0.0.rc16-8) unstable; urgency=medium

  * Fix library dev symlink (closes: 856946).
  * Update paths in copyright.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 12 Mar 2017 10:07:09 +0000

dmraid (1.0.0.rc16-7) unstable; urgency=low

  * Sync with Ubuntu.

  [ Dimitri John Ledkov ]
  * Drop force loading dm-raid45 module in the initramfs hook
    (closes: #745697).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 07 Feb 2015 13:47:48 +0000

dmraid (1.0.0.rc16-6) unstable; urgency=low

  * New maintainer (closes: #613706).

  [ Simon Ward <simon@bleah.co.uk> ]
  * Fix manpage typos (closes: #525252).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 04 Dec 2014 20:44:01 +0000

dmraid (1.0.0.rc16-5) unstable; urgency=low

  * QA upload.
  * debian/control:
    - Maintainer field set to QA Group.
    - Drop Uploaders field.
    - Bump Standards-Version to 3.9.5.
  * debian/rules:
    - Export dpkg buildflags.
    - Add missing targets: build-{arch,indep}.
  * debian/compat: set debhelper compatibility level to 9.
  * debian/watch updated.

 -- Emanuele Rocca <ema@debian.org>  Sun, 19 Jan 2014 17:59:25 +0100

dmraid (1.0.0.rc16-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Call udevadm settle before activating dmraid devices
    (Closes: #677450)

 -- Ulrich Dangel <uli@debian.org>  Mon, 10 Sep 2012 17:35:50 +0100

dmraid (1.0.0.rc16-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * dmraid-active: properly handle the case when DDF1 virtual drive has a name.
    (Closes: #603319)

 -- Modestas Vainius <modax@debian.org>  Sat, 18 Dec 2010 22:26:41 +0200

dmraid (1.0.0.rc16-4) unstable; urgency=low

  [ Modestas Vainius ]
  * [7b2bf79] Make dmraid-activate work with DDF1 arrays by special-
    casing their handling. Similar to ISW case, there do not seem to be
    a way for getting raid subsets for the physical drive except parsing
    native log. (Closes: #603319)

 -- Giuseppe Iuculano <iuculano@debian.org>  Mon, 22 Nov 2010 13:02:29 +0100

dmraid (1.0.0.rc16-3) unstable; urgency=low

  * [3bea125] debian/patches/20_fix_isw_sectors_calculation.patch: Fix
    isw raid0 incorrect  sectors calculation (Closes: #561866) - thanks
    to Valentin Pavlyuchenko
  * [239630a] Added ${misc:Depends} in Depends

 -- Giuseppe Iuculano <iuculano@debian.org>  Mon, 28 Dec 2009 10:57:55 +0100

dmraid (1.0.0.rc16-2) unstable; urgency=low

  * [0819a82] debian/patches/18_pdc_raid10_failure..patch: fix pdc
    metadata format handler to report the proper number of devices in a
    subset
  * [8418d6b] debian/patches/19_ddf1_lsi_persistent_name.patch: Because the
    LSI bios changes the timestamp in the metadata on every boot, neutralize
    it in order to allow for persistent names.

 -- Giuseppe Iuculano <iuculano@debian.org>  Thu, 26 Nov 2009 11:37:24 +0100

dmraid (1.0.0.rc16-1) experimental; urgency=low

  [ Tormod Volden ]
  * [aed3ea8] Add support for "nodmraid" boot option

  [ Giuseppe Iuculano ]
  * [6ae6d88] Imported Upstream version 1.0.0.rc16
  * [3bdcbf4] Remove old 1.0.0.rc15 directory
  * [f2b47d1] Refreshed patches and deleted patches merged in upstream
  * [27f877d] SONAME bump, libdmraid1.0.0.rc15 -> libdmraid1.0.0.rc16
  * [8ea0cf4] Updated symbols file
  * [e2bd834] debian/patches/02_disable_dmreg.patch: Disabled all dmreg
    stuff
  * [7339f26] Added 951 disk offset for Promise FastTrak S150 TX2plus
    (LP: #465198) - thanks to Even Ambjørnrud
  * [fbe64d4] Updated my email address and removed DM-Upload-Allowed
    control field

 -- Giuseppe Iuculano <iuculano@debian.org>  Sun, 01 Nov 2009 19:00:41 +0100

dmraid (1.0.0.rc15-11) unstable; urgency=low

  * [ce4e2dc] 15_activate_multiple_raid_sets.patch: Continue onto all
    raid sets instead of returning after processing the first. (LP: #401713)
  * [58a1426] debian/initramfs/dmraid.initramfs-local-top/dmraid: Check
    the exit code before parsing output, thanks to Tormod Volden.
    (Closes: #542256) (LP: #415280, #376792)
  * [91d2b67] Updated to standards version 3.8.3 (No changes needed)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sun, 23 Aug 2009 18:06:13 +0200

dmraid (1.0.0.rc15-10) unstable; urgency=low

  * [1a1b752] debian/dmraid-activate: Use the -Z flag only if root
    partition is mountd in a dmraid array.
    (Closes: #533848) (LP: #392510)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Wed, 15 Jul 2009 18:53:52 +0200

dmraid (1.0.0.rc15-9) unstable; urgency=low

  [ Giuseppe Iuculano ]
  * [ea0c659] debian/rules: Copy the autotools stuff before copying the
    1.0.0.rc15 directory to the build directory. (Closes: #533689)

  [ Luke Yelavich ]
  * [317853a] debian/patches/17_isw-probe-hpa.patch: Probe isw disks
    with [some] HPA awareness, thanks to Robert Collins
    <robert@ubuntu.com>. (LP: #372170)

  [ Giuseppe Iuculano ]
  * [89d15f3] debian/initramfs/dmraid.initramfs-hook/dmraid: copy grep
    only if if BUSYBOX=n, thanks to Colin Watson (Closes: #534299)
  * [a2f0730] Updated to standards version 3.8.2 (No changes needed).

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sat, 11 Jul 2009 10:47:47 +0200

dmraid (1.0.0.rc15-8) unstable; urgency=low

  * [68f05e2] Fixed some typos in dmraid man page, Thanks A. Costa.
    (Closes: #525252)
  * [c72bf51] Added grep in initrd, dmraid-activate needs it. (Closes: #528998)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Fri, 22 May 2009 19:06:09 +0200

dmraid (1.0.0.rc15-7) unstable; urgency=low

  * [c617e81] debian/dmraid.postinst: Do not run update-initramfs if it
    is not installed (Closes: #522799)
  * [3011c19] debian/patches/16_fix_isw_sectors_calculation.patch: Fix
    isw raid0 incorrect  sectors calculation, thanks to Valentin
    Pavlyuchenko (Closes: #524637) (LP: #337284)
  * [9cf5ed5] debian/patches/14_isw-serial-fix.patch: Use Hans de Goede
    patch.
  * [18ece89] debian/dmraid-activate: grep also for "formats discovered"
    when assigns Raid_Name, and do not use "cut" to assign
    Isw_Group_Name. In this way dmraid-activate works also for user
    having multiple metadata signatures and/or not using initramfs.
    (Closes: #523660)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Wed, 22 Apr 2009 11:55:49 +0200

dmraid (1.0.0.rc15-6) unstable; urgency=low

  * [6af052c] Remove 15_isw_incorrect_status_fix.patch, it causes a
    segfault. (Closes: #521104)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Wed, 25 Mar 2009 22:34:59 +0100

dmraid (1.0.0.rc15-5) unstable; urgency=low

  * [ad6ac87] do not use basename in the local-top initramfs script
    (Closes: #520875)
  * [b1fc9ec] Added a bug submission control script. It allows Debian's bug
    tools to include relevant information in bug reports.

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Mon, 23 Mar 2009 14:22:17 +0100

dmraid (1.0.0.rc15-4) unstable; urgency=low

  * [546b293] debian/patches/05_jmicron-name-fix.patch: Fix segfault
    when attempting to generate name for jmicron controllers. Thanks to
    danwood76 (LP: #344215)
  * [4b3dfa0] debian/patches/15_isw_incorrect_status_fix.patch: fix
    incorrect status displayed when disk is missing (isw)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sun, 22 Mar 2009 08:46:25 +0100

dmraid (1.0.0.rc15-3) unstable; urgency=low

  * [748a001] debian/patches/14_isw-serial-fix.patch: Change the serial
    number scan to only look at the LAST 16 bytes rather than the first.
    Thanks Sam Bingner (LP: #267953)
  * [9f577ac] debian/patches/09_promise-add-offsets.patch: Added 591
    disk offset locations for Promise RAID metadata. (ASUS M3A equipped
    with the SB600 south bridge)
  * [7aef2ee] debian/control: Added ${misc:Depends} in Depends
  * [7cac457] Updated to standards version 3.8.1 (No changes needed)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sat, 14 Mar 2009 13:13:02 +0100

dmraid (1.0.0.rc15-2) unstable; urgency=low

  * [ac0f158] debian/dmraid-activate: Use the newly introduced -Z flag for
    dmraid, to instruct the kernel to remove partition device nodes from array
    member disks. This means that there is no chance of race conditions with
    udev and creating UUID/label symbolic links either for member disk nodes,
    or dmraid device-mapper nodes.

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 20 Feb 2009 17:31:09 +0100

dmraid (1.0.0.rc15-1) unstable; urgency=low

  * [fc70eec] debian/patches/13_rm_partitions.patch: Make --
    rm_partitions work with older kernels which return EINVAL when
    trying to remove a partition with a number > 16 - Document --
    rm_partitions in the man page
  * [68c7ed1] Added debian/README.source
  * Upload to unstable.

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Mon, 16 Feb 2009 13:50:55 +0100

dmraid (1.0.0.rc15-1~exp7) experimental; urgency=low

  [ Luke Yelavich ]
  * [aaefbef] debian/initramfs/dmraid.initramfs-hook/dmraid: create udev
    rules dir before copying each udev rule
  * [fdef4bb] debian/dmraid-activate: Refactor code to allow for special
    casing of raid groups and subsets
  * [072319d] debian/patches/05_kernel-event-handling.patch: Drop, as
    this was breaking RAID0 activation for all metadata types, and the kernel
    event handling setup is present in rc15 anyway (Closes: #514798),
    (LP: #310928)
  * [e1f9960] debian/libdmraid-dev.links: Symlink libdmraid.so since
    pointing to a broken symbolic link in the install file causes the
    build to FTBFS

  [ Giuseppe Iuculano ]
  * [fdd5c72] Bump to debhelper 7 compatibility levels
  * [5c20ceb] debian/patches/11_isw-raid10.patch: Fix mismatch between
    BIOS and dmraid's view of ISW raid 10 sets
  * [4fce3ee] debian/patches/13_rm_partitions.patch: patch adding
    rm_partitions cmdline option and functionality
  * [ff07846] debian/rules: Use dh_clean -k is deprecated, use dh_prep
    and fix dh-clean-k-is-deprecated lintian warning

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Fri, 13 Feb 2009 09:00:09 +0100

dmraid (1.0.0.rc15-1~exp6) experimental; urgency=low

  * [51d68d1] debian/patches/07_isw_metadata_normal_state.patch: Fix
    Metadata is not put in the NORMAL state after dmraid rebuild is
    started manually
  * [8165a84] debian/patches/08_isw_rebuild.patch: Fix ISW Metadata is
    corrupted after rebuilding is started
  * [0f588f5] debian/control: Fix Vcs-Browser field to play nice with
    cl2vcs
  * [d832984] Added libdmraid1.0.0.rc15 symbols file
  * [f0e50b8] Added description in 07_isw_metadata_normal_state.patch
    and 08_isw_rebuild.patch
  * [492e108] debian/dmraid-activate: Activate unconditionally isw array
    (LP: #310928)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Fri, 30 Jan 2009 08:40:41 +0100

dmraid (1.0.0.rc15-1~exp5) experimental; urgency=low

  * [f23f890] debian/patches: Deleted old patch 08_promise-metadata-
    fixes.dpatch
  * [db69b2c] Switch to quilt
  * [e40b076] debian/initramfs/dmraid.initramfs-hook/dmraid: New udev in
    Ubuntu has the default rules installed into /lib/udev/rules.d, so
    refer also to udev rules file in /lib/udev/rules.d
  * [fed9520] debian/dmraid-activate: Ignore case distinctions when grep
    for "No RAID disks"
  * [c85b78f] debian/dmraid.postinst: call udevadm with --action=change
    (Closes: #512771), (LP: #320482)
  * [8d88132] debian/control: Remove priority and section fields in the
    binary package, and fix duplicate-short-description lintian warning
  * [1fd2986] Fixed command-with-path-in-maintainer-script lintian
    warning
  * [36cd8e5] debian/control: Removed initramfs-tools depends
  * [b3eb93f] debian/control: Fixed duplicate-long-description lintian
    warning

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Fri, 23 Jan 2009 19:55:42 +0100

dmraid (1.0.0.rc15-1~exp4) experimental; urgency=low

  * [e41f5e6] debian/patches/10_exit_code.dpatch: Fix exit-code for "No
    RAID disks" and "no block devices found" errors (LP: #300825)
  * [3d0a810] debian/rules: don't create a minimal binary for udeb, some
    features required from the installer are missing
  * [cadad71] debian/patches/07_fix_dmraid_mini_build.dpatch: Removed

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sat, 27 Dec 2008 09:26:28 +0100

dmraid (1.0.0.rc15-1~exp3) experimental; urgency=low

  * switch to git
  * debian/control:
    + enabled LED support
    + removed pointless configure-initramfs flavour
  * debian/patches/06_fix_led_support_compilation.dpatch: fix FTBFS when LED
    support is enabled
  * debian/patches/07_fix_dmraid_mini_build.dpatch: fix FTBFS with
    --enable-mini
  * debian/control: create a minimal binary for udeb (--enable-mini)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Tue, 23 Dec 2008 08:52:53 +0100

dmraid (1.0.0.rc15-1~exp2) experimental; urgency=low

  * debian/control:
    + Made the long description for the udeb shorter
    + Added initramfs-tools to dmraid Depends
  * debian/initramfs/dmraid.initramfs-hook/dmraid:
    + Removed blank line added before the 'fi' in the dmraid initramfs-hook.
    + check if 85_dmraid.rules or 85-dmraid.rules exists, and then copy it
      (LP: #306114)
  * debian/patches/02_raid45_to_raid4-5.dpatch: Removed
  * debian/dmraid.postinst: initramfs-tools is in Depends, do not check for
    update-initramfs (fixed command-with-path-in-maintainer-script lintian
    warning)
  * debian/dmraid-activate: modprobe also dm_raid45
  * debian/patches/02_scsi_serial_remove_ws.dpatch: remove whitespace from
    serial id (LP: #305011)
  * debian/copyright: Updated

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sun, 14 Dec 2008 10:17:51 +0100

dmraid (1.0.0.rc15-1~exp1) experimental; urgency=low

  * New upstream release
  * debian/control:
    + Added Version Control System location
    + Create new packages, libdmraid1, libdmraid-dev and libdmraid1-udeb
      respectively.
    + Added Luke Yelavich <themuso@ubuntu.com> in Uploaders
  * Removed debian/initramfs/dmraid.initramfs-local/
  * debian/patches:
    + Removed 06_isw-metadata-fixes.dpatch, 10_jmicron-name-fix.dpatch,
      04_generate-uuids.dpatch, 07_isw-raid10-nested.dpatch,
      02_raid45_toraid456.dpatch, 11_fix_segfault_on_big_endian.dpatch
    + Added 02_raid45_to_raid4-5.dpatch
    + Updated all patches to work with 1.0.0.rc15
    + 04_do_not_use_p_for_partition.dpatch: Removed "p" from device name. A
      proper upgrade script is needed before using it.
  * debian/rules:
    + copy config.sub and config.guess in the right location
    + fix mandir location
    + added --enable-shared_lib in configure
    + Support cross-compiling
  * Install dmraid-activate also in dmraid-udeb package
  * debian/patches/01_fix_broken_linking.dpatch:
    + Create correct symbolic links when building a shared library.
    + libdmraid should be linked against libdevmapper when building the shared
      library, not the dmraid executable.
  * debian/initramfs/dmraid.initramfs-hook/dmraid: Use force_load instead of
    manual_add_modules

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sat, 19 Nov 2008 21:10:18 +0100

dmraid (1.0.0.rc14-6) unstable; urgency=low

  * debian/rules: Added execution rights to
    /usr/share/initramfs-tools/scripts/local-top/dmraid
  * debian/patches/02_raid45_toraid456.dpatch: Remove, this not fix #411172
    and the new dm-raid45 (not yet in Debian) is using the target that the
    dmraid code originally expected.

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Thu, 06 Nov 2008 08:50:02 +0100

dmraid (1.0.0.rc14-5) unstable; urgency=low

  * debian/control: dmraid and dmraid-udeb should depend on dmsetup and
    dmsetup-udeb respecitvely, to ensure UUID symlinks are correctly created.
  * Place a script in the local-top directory of the initramfs, to catch any
    arrays that have not been activated by udev and vol_id. This is because
    vol_id does not yet have knowledge of newer array metadata. Thanks to Luke
    Yelavich <themuso@ubuntu.com> (Workaround for #500883)
  * Removed pointless debian/initramfs/dmraid.initramfs-local directory
  * debian/patches/12_support_virtio_devices.dpatch: Check virtio devices for
    dmraid metadata, patch thanks to Colin Watson <cjwatson@ubuntu.com>.
  * Fixed a typo in the previous changelog entry

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Wed, 22 Oct 2008 01:13:55 +0200

dmraid (1.0.0.rc14-4) unstable; urgency=high

  * debian/dmraid.postinst: Activate existing arrays once the package is
    installed. (Closes: #498674). Thanks to Luke Yelavich <themuso@ubuntu.com>
  * debian/patches/00list: Removed 07_isw-raid10-nested.dpatch, it breaks some
    Intel raid1 system (Closes: #494278)
  * debian/dmraid.udev: watershed isn't in udev package, removed from RUN
    command
  * Do not install useless usr/share/initramfs-tools/scripts/local-top
  * debian/dmraid-activate: Don't take out any locks, added -i
    (--ignorelocking) option in every dmraid command executed by
    dmraid-activate, and do not use /usr/bin/basename, it is pointless and
    breaks fakeraid detection if /usr isn't mounted (Closes: 499060)
  * debian/control: Removed lsb-base and added udev in dmraid Depends

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sun, 21 Sep 2008 15:54:38 +0200

dmraid (1.0.0.rc14-3) unstable; urgency=low

  * debian/patches/09_promise-add-offsets.dpatch: Added 974 disk offset
    locations for Promise RAID metadata. (Closes: #489972)
  * Run update-initramfs in postrm
  * debian/control: Dropped zlib1g-dev build dependency.
  * Merge from Ubuntu debian/dmraid.udev: Udev rule to allow dmraid arrays to
    be brought up in the event that the member disks of an array are present.
  * debian/dmraid.init: Drop, udev helps us start dmraid arrays now.
    (Closes: #394399)
  * Merge from Ubuntu debian/dmraid-activate: Script to reformat the output of
    dmraid to be useful with udev (Do not install in udeb)
  * debian/initramfs/dmraid.initramfs-hook/dmraid: Added dmraid-activate, new
    udev rule needs it

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sun, 31 Aug 2008 14:51:38 +0200

dmraid (1.0.0.rc14-2) unstable; urgency=low

  * Merge the following patch from Ubuntu (thanks to Luke Yelavich):
    + 04_generate-uuids.dpatch, Generate UUIDs with DMRAID prefix.
      (Closes: #489967)
    + 05_kernel-event-handling.dpatch, Add support for kernel driver event
      handling support. (Closes: #489968)
    + 06_isw-metadata-fixes.dpatch, Intel Software RAID metadata fixes.
      (Closes: #489969)
    + 07_isw-raid10-nested.dpatch, Add RAID10(0+1) nested RAID level support
      for Intel Software RAID. (Closes: #489970)
    + 08_promise-metadata-fixes.dpatch, Promise metadata fixes.
      (Closes: #489971)
    + 09_promise-add-offsets.dpatch, Add extra offsets where promise metadata
      can be found. (Closes: #489972)
    + 10_jmicron-name-fix.dpatch, Fix segfault when attempting to generate
      name for jmicron controllers. (Closes: #489973)
  * Added 11_fix_segfault_on_big_endian.dpatch (via upstream), it fixes a
    segfault on big-endian platforms (ppc)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Wed, 09 Jul 2008 09:26:32 +0200

dmraid (1.0.0.rc14-1) unstable; urgency=low

  * New upstream release (Closes: #450809)
  * New maintainer, thanks to Utnubu Team for the prior work on dmraid
    (Closes: #459593)
  * Switch to dpatch
    - 01_statically_link_against_libz.dpatch (merged)
    - 02_raid45_toraid456.dpatch Change raid45 target to raid456
      (Closes: #411172)
    - 03_fix_hyphen-used-as-minus-sign.dpatch
  * lintian cleaned:
    - Calling dh_installdeb after dh_shlibdeps
    - Added autotools-dev to Build-Depends, and fix
      outdated-autotools-helper-file
    - Added watch file
    - Fix old-fsf-address-in-copyright-file
    - Fix init.d-script-missing-lsb-short-description
    - Updated to standards version 3.8.0
  * debian/dmraid.init: Check if /etc/default/rcS exists before sourcing it
  * debian/rules: Using dh_install instead of cp for installing initrams

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Tue, 24 Jun 2008 10:17:33 +0200

dmraid (1.0.0.rc13-2.1) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Add LSB dependency header to init.d scripts (Closes: #458626)

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 18 Mar 2008 17:57:38 +0100

dmraid (1.0.0.rc13-2) unstable; urgency=high

  * Apply patch to link libz statically, but only that; works only with GNU
    linker, and might break full static linking in the future; thanks Steve
    Langasek; catched by Frederic Briere; closes: #396762.

 -- Loic Minier <lool@dooz.org>  Sun,  5 Nov 2006 17:08:55 +0100

dmraid (1.0.0.rc13-1) unstable; urgency=low

  * New upstream release; closes: #391499.
    - Update copyright years and copyright holders.
    - Update version in debian/rules.
    - Supports some new NVIDIA RAID arrays; closes: #391125.
    - Add a zlib1g-dev build-dep.
    - Configure the standard flavour with --enable-libselinux
      --enable-libsepol.
  * Merge diff from 0.9.9+1.0.0.rc9-3.1 NMU; acknowledge NMU; thanks
    Jonathan McDowell; closes: #367796, #367661.
  * Add myself as Uploaders.
  * Compute upstream version with dpkg-parsechangelog instead of hardcoding
    it.
  * Use $(CURDIR) instead of $(shell pwd).
  * Fix bashisms; thanks Julien Danjou; closes: #374480.
  * Pass --mandir to configure relative to ${prefix}; pass an absolute DESTDIR
    to make install.
  * Bump up Debhelper compatibility level to 5; partially addresses #375413.
  * Bump up Standards-Version to 3.7.2.
  * Build a new udeb flavour, configured without selinux and sepol;
    closes: #375413.
  * Add a .PHONY definition; create the list of configure-$flavour targets
    dynamically; misc cleanups.

 -- Loic Minier <lool@dooz.org>  Sun, 29 Oct 2006 12:01:36 +0100

dmraid (0.9.9+1.0.0.rc9-3.1) unstable; urgency=low

  * NMU with permission.
  * Move init script from 03 to 04 to ensure we run after udev.
    (Closes: #367796)
  * Include the initramfs hook and script contributed by Tormod Volden,
    so dmraid can integrate effortlessly (closes: launchpad.net/22107)
    (Closes: #367661)

 -- Jonathan McDowell <noodles@earth.li>  Mon, 24 Jul 2006 18:49:11 +0100

dmraid (0.9.9+1.0.0.rc9-3) unstable; urgency=low

  * add dmraid-udeb by popular request, looking forward for d-i integration
    (Closes: #350250)

 -- Filippo Giunchedi <filippo@debian.org>  Sat, 11 Feb 2006 13:25:55 +0100

dmraid (0.9.9+1.0.0.rc9-2) unstable; urgency=low

  * fix Description: to a more accurate one this closes: #334805 and correctly
    indent the item list (closes: #334855)
  * fix copyright file with additional informations as per policy 12.5
    (closes: #334856)
  * add CHANGELOG to dh_installchangelogs

 -- Filippo Giunchedi <filippo@debian.org>  Thu, 20 Oct 2005 22:12:42 +0200

dmraid (0.9.9+1.0.0.rc9-1) unstable; urgency=low

  * upload to debian on behalf of the utnubu team (closes: #306257)

 -- Filippo Giunchedi <filippo@debian.org>  Sun, 16 Oct 2005 13:22:24 +0200

dmraid (0.9.9+1.0.0.rc9-0ubuntu1) breezy; urgency=low

  * New upstream releasse with tons of fixes.

  * Drop all our local patches (merged by upstream).

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 26 Sep 2005 06:57:21 +0200

dmraid (0.9.9+1.0.0.rc8-0ubuntu1) breezy; urgency=low

  * First release.

  * Fix aclocal.m4 to cope properly with --enable-klibc/--disable-klibc.

  * Fix make.tmpl.in to be very loud when building with klibc.

  * Fix make.tmpl.in to understand $(DESTDIR) for mandir and infodir.

  * Fix missing ] in lib/format/ataraid/pdc.c to compile on bigendian
    machines.

  * Run init script before mdadm-raid and lvm and stop after.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 22 Sep 2005 06:56:24 +0200
